Subject: IAB Reappoints Warren Kumari to the ICANN Technical Liaison Group

From: IAB Executive Administrative Manager <[email-masked]>
Date: Fri, 04 Dec 2020 10:28:19 -0800

The Internet Architecture Board is pleased to announce the reappointment 
of Warren Kumari to a two-year term on the ICANN Technical Liaison 
Group. 

The IAB extends its sincere thanks to everyone in the community who 
provided feedback in this process, and to Warren for his willingness to 
continue to serve in this role.